Intel® Enhanced Privacy ID SDK 2.0.0

Functions
commitment.c File Reference

Commitment hash implementation. More...

`#include <limits.h>`
`#include "epid/common/commitment.h"`
`#include "epid/common/memory.h"`
`#include "epid/common/epid2params_ate.inc"`

## Functions
EpidStatus | SetCalculatedCommitValues (G1ElemStr const *B, G1ElemStr const *K, G1ElemStr const *T, EcPoint const *R1, EcGroup *G1, FfElement const *R2, FiniteField *GT, CommitValues *values)
| Set CommitValues structure fields calculated in algorithm. More...
EpidStatus | CalculateCommitmentHash (CommitValues const *values, FiniteField *Fp, HashAlg hash_alg, void const *msg, size_t msg_len, FfElement *c)
| Calculate Fp.hash(t3 || m) for Sign and Verfiy algorithms. More...

## Detailed Description

Commitment hash implementation.